#!/bin/bash

set -xe

[[ -z $1 ]] && echo "must provide service path" && exit 1
pushd $1
podman run --interactive --rm -v $PWD:/data quay.io/coreos/butane --files-dir /data --pretty --strict < service.bu > service.ign
tofu state rm libvirt_volume.data 2>/dev/null || echo "data volume not provisioned ... continuing"
tofu destroy
tofu apply
popd
